Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479837 - Support rpm, which contains files with filename + path longer than 256 chars
Summary: Support rpm, which contains files with filename + path longer than 256 chars
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-13 14:47 UTC by Miroslav Suchý
Modified: 2009-01-28 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 435388
Environment:
Last Closed: 2009-01-22 16:37:23 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2009-01-13 14:47:15 UTC
+++ This bug was initially created as a clone of Bug #435388 +++

When trying to push an RPM to Spacewalk which has files which is longer than 256 chars, we got traceback.

Comment 1 Miroslav Suchý 2009-01-13 14:54:20 UTC
Commited as 3dac44dcd818c1cdba62a193fbc2d9d4f30b3526

Comment 2 Miroslav Suchý 2009-01-13 15:01:12 UTC
I increased the size to 4000 as it is maximum of varchar2 on Oracle9 and the path can be really long so something like 512 will be probably hit soon as well...

Comment 3 Jesus M. Rodriguez 2009-01-22 16:37:23 UTC
SQL> desc rhnPackageCapability
 Name					   Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID					   NOT NULL NUMBER
 NAME					   NOT NULL VARCHAR2(4000)
 VERSION					    VARCHAR2(64)
 CREATED				   NOT NULL DATE
 MODIFIED				   NOT NULL DATE

verified


Note You need to log in before you can comment on or make changes to this bug.